## gnustep-gd 0.0.20040228-2

=== debian/changelog ===
gnustep-gd (0.0.20040228-2) unstable; urgency=low

  * Add build-depends on gnustep-make.  (Closes:#240392)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  4 Apr 2004 20:52:05 -0700

gnustep-gd (0.0.20040228-1) unstable; urgency=low

  * Initial Release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Feb 2004 21:40:30 -0800
