=== debian/control ===
Source: gnustep-gd
Section: libs
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Build-Depends: debhelper (>= 4.0.0), gnustep-base1-dev (>= 1.5.0-1), libgd2-xpm-dev | libgd2-noxpm-dev, gnustep-make
Standards-Version: 3.6.1
 
Package: gnustep-gd
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Objective-C Interface to the GD Graphics Library
 GNUstep GD is an Objective-C interface to the libgd library.  The
 libgd library is used to generate images.
