=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# -----------------------------------------------------------------------------
# GNUstep SETTINGS

# Dirs
GS_ROOT		= usr/lib/GNUstep
GS_SYSTEM_ROOT	= $(GS_ROOT)/System
GS_DOC_DIR	= $(GS_SYSTEM_ROOT)/Library/Documentation
GS_MAKEFILES_DIR= $(GS_SYSTEM_ROOT)/Library/Makefiles
GS_HEADERS_DIR	= $(GS_SYSTEM_ROOT)/Library/Headers

# -----------------------------------------------------------------------------


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	. /$(GS_MAKEFILES_DIR)/GNUstep.sh;		\
		$(MAKE) messages=yes
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	
	-. /$(GS_MAKEFILES_DIR)/GNUstep.sh; \
		$(MAKE) clean
	
	-. /$(GS_MAKEFILES_DIR)/GNUstep.sh; \
		$(MAKE) distclean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/netclasses-framework
	. /usr/lib/GNUstep/System/Makefiles/GNUstep.sh; \
		$(MAKE) install \
		    GNUSTEP_INSTALLATION_DIR=$(CURDIR)/debian/gnustep-gd/$(GS_SYSTEM_ROOT) INSTALL_ROOT_DIR=$(CURDIR)/debian/gnustep-gd

	cp $(CURDIR)/Examples/* $(CURDIR)/debian/gnustep-gd/usr/share/doc/gnustep-gd/examples
		    

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V -n
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/netclasses-framework/$(GS_SYSTEM_ROOT)/Library/Libraries
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
